IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2002:cd00::/24- First address
2002:cd00::- Last address
2002:cdff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2002:cd00:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
d.c.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:cd00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:cd00::/32 | 2002:cd00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:cd01::/32 | 2002:cd01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:cd02::/32 | 2002:cd02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:cd03::/32 | 2002:cd03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:cd04::/32 | 2002:cd04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:cd05::/32 | 2002:cd05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:cd06::/32 | 2002:cd06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:cd07::/32 | 2002:cd07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:cd08::/32 | 2002:cd08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:cd09::/32 | 2002:cd09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:cd0a::/32 | 2002:cd0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:cd0b::/32 | 2002:cd0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:cd0c::/32 | 2002:cd0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:cd0d::/32 | 2002:cd0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:cd0e::/32 | 2002:cd0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:cd0f::/32 | 2002:cd0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:cd10::/32 | 2002:cd10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:cd11::/32 | 2002:cd11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:cd12::/32 | 2002:cd12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:cd13::/32 | 2002:cd13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:cd14::/32 | 2002:cd14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:cd15::/32 | 2002:cd15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:cd16::/32 | 2002:cd16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:cd17::/32 | 2002:cd17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:cd18::/32 | 2002:cd18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:cd19::/32 | 2002:cd19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:cd1a::/32 | 2002:cd1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:cd1b::/32 | 2002:cd1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:cd1c::/32 | 2002:cd1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:cd1d::/32 | 2002:cd1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:cd1e::/32 | 2002:cd1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:cd1f::/32 | 2002:cd1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:cd20::/32 | 2002:cd20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:cd21::/32 | 2002:cd21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:cd22::/32 | 2002:cd22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:cd23::/32 | 2002:cd23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:cd24::/32 | 2002:cd24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:cd25::/32 | 2002:cd25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:cd26::/32 | 2002:cd26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:cd27::/32 | 2002:cd27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:cd28::/32 | 2002:cd28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:cd29::/32 | 2002:cd29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:cd2a::/32 | 2002:cd2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:cd2b::/32 | 2002:cd2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:cd2c::/32 | 2002:cd2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:cd2d::/32 | 2002:cd2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:cd2e::/32 | 2002:cd2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:cd2f::/32 | 2002:cd2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:cd30::/32 | 2002:cd30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:cd31::/32 | 2002:cd31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:cd32::/32 | 2002:cd32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:cd33::/32 | 2002:cd33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:cd34::/32 | 2002:cd34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:cd35::/32 | 2002:cd35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:cd36::/32 | 2002:cd36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:cd37::/32 | 2002:cd37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:cd38::/32 | 2002:cd38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:cd39::/32 | 2002:cd39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:cd3a::/32 | 2002:cd3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:cd3b::/32 | 2002:cd3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:cd3c::/32 | 2002:cd3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:cd3d::/32 | 2002:cd3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:cd3e::/32 | 2002:cd3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:cd3f::/32 | 2002:cd3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:cd40::/32 | 2002:cd40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:cd41::/32 | 2002:cd41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:cd42::/32 | 2002:cd42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:cd43::/32 | 2002:cd43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:cd44::/32 | 2002:cd44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:cd45::/32 | 2002:cd45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:cd46::/32 | 2002:cd46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:cd47::/32 | 2002:cd47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:cd48::/32 | 2002:cd48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:cd49::/32 | 2002:cd49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:cd4a::/32 | 2002:cd4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:cd4b::/32 | 2002:cd4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:cd4c::/32 | 2002:cd4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:cd4d::/32 | 2002:cd4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:cd4e::/32 | 2002:cd4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:cd4f::/32 | 2002:cd4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:cd50::/32 | 2002:cd50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:cd51::/32 | 2002:cd51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:cd52::/32 | 2002:cd52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:cd53::/32 | 2002:cd53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:cd54::/32 | 2002:cd54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:cd55::/32 | 2002:cd55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:cd56::/32 | 2002:cd56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:cd57::/32 | 2002:cd57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:cd58::/32 | 2002:cd58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:cd59::/32 | 2002:cd59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:cd5a::/32 | 2002:cd5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:cd5b::/32 | 2002:cd5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:cd5c::/32 | 2002:cd5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:cd5d::/32 | 2002:cd5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:cd5e::/32 | 2002:cd5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:cd5f::/32 | 2002:cd5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:cd60::/32 | 2002:cd60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:cd61::/32 | 2002:cd61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:cd62::/32 | 2002:cd62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:cd63::/32 | 2002:cd63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:cd64::/32 | 2002:cd64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:cd65::/32 | 2002:cd65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:cd66::/32 | 2002:cd66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:cd67::/32 | 2002:cd67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:cd68::/32 | 2002:cd68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:cd69::/32 | 2002:cd69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:cd6a::/32 | 2002:cd6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:cd6b::/32 | 2002:cd6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:cd6c::/32 | 2002:cd6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:cd6d::/32 | 2002:cd6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:cd6e::/32 | 2002:cd6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:cd6f::/32 | 2002:cd6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:cd70::/32 | 2002:cd70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:cd71::/32 | 2002:cd71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:cd72::/32 | 2002:cd72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:cd73::/32 | 2002:cd73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:cd74::/32 | 2002:cd74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:cd75::/32 | 2002:cd75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:cd76::/32 | 2002:cd76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:cd77::/32 | 2002:cd77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:cd78::/32 | 2002:cd78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:cd79::/32 | 2002:cd79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:cd7a::/32 | 2002:cd7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:cd7b::/32 | 2002:cd7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:cd7c::/32 | 2002:cd7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:cd7d::/32 | 2002:cd7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:cd7e::/32 | 2002:cd7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:cd7f::/32 | 2002:cd7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:cd80::/32 | 2002:cd80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:cd81::/32 | 2002:cd81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:cd82::/32 | 2002:cd82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:cd83::/32 | 2002:cd83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:cd84::/32 | 2002:cd84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:cd85::/32 | 2002:cd85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:cd86::/32 | 2002:cd86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:cd87::/32 | 2002:cd87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:cd88::/32 | 2002:cd88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:cd89::/32 | 2002:cd89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:cd8a::/32 | 2002:cd8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:cd8b::/32 | 2002:cd8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:cd8c::/32 | 2002:cd8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:cd8d::/32 | 2002:cd8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:cd8e::/32 | 2002:cd8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:cd8f::/32 | 2002:cd8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:cd90::/32 | 2002:cd90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:cd91::/32 | 2002:cd91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:cd92::/32 | 2002:cd92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:cd93::/32 | 2002:cd93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:cd94::/32 | 2002:cd94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:cd95::/32 | 2002:cd95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:cd96::/32 | 2002:cd96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:cd97::/32 | 2002:cd97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:cd98::/32 | 2002:cd98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:cd99::/32 | 2002:cd99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:cd9a::/32 | 2002:cd9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:cd9b::/32 | 2002:cd9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:cd9c::/32 | 2002:cd9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:cd9d::/32 | 2002:cd9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:cd9e::/32 | 2002:cd9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:cd9f::/32 | 2002:cd9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:cda0::/32 | 2002:cda0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:cda1::/32 | 2002:cda1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:cda2::/32 | 2002:cda2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:cda3::/32 | 2002:cda3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:cda4::/32 | 2002:cda4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:cda5::/32 | 2002:cda5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:cda6::/32 | 2002:cda6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:cda7::/32 | 2002:cda7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:cda8::/32 | 2002:cda8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:cda9::/32 | 2002:cda9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:cdaa::/32 | 2002:cdaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:cdab::/32 | 2002:cdab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:cdac::/32 | 2002:cdac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:cdad::/32 | 2002:cdad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:cdae::/32 | 2002:cdae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:cdaf::/32 | 2002:cdaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:cdb0::/32 | 2002:cdb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:cdb1::/32 | 2002:cdb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:cdb2::/32 | 2002:cdb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:cdb3::/32 | 2002:cdb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:cdb4::/32 | 2002:cdb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:cdb5::/32 | 2002:cdb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:cdb6::/32 | 2002:cdb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:cdb7::/32 | 2002:cdb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:cdb8::/32 | 2002:cdb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:cdb9::/32 | 2002:cdb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:cdba::/32 | 2002:cdba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:cdbb::/32 | 2002:cdbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:cdbc::/32 | 2002:cdbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:cdbd::/32 | 2002:cdbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:cdbe::/32 | 2002:cdbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:cdbf::/32 | 2002:cdbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:cdc0::/32 | 2002:cdc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:cdc1::/32 | 2002:cdc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:cdc2::/32 | 2002:cdc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:cdc3::/32 | 2002:cdc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:cdc4::/32 | 2002:cdc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:cdc5::/32 | 2002:cdc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:cdc6::/32 | 2002:cdc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:cdc7::/32 | 2002:cdc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:cdc8::/32 | 2002:cdc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:cdc9::/32 | 2002:cdc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:cdca::/32 | 2002:cdca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:cdcb::/32 | 2002:cdcb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:cdcc::/32 | 2002:cdcc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:cdcd::/32 | 2002:cdcd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:cdce::/32 | 2002:cdce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:cdcf::/32 | 2002:cdcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:cdd0::/32 | 2002:cdd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:cdd1::/32 | 2002:cdd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:cdd2::/32 | 2002:cdd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:cdd3::/32 | 2002:cdd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:cdd4::/32 | 2002:cdd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:cdd5::/32 | 2002:cdd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:cdd6::/32 | 2002:cdd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:cdd7::/32 | 2002:cdd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:cdd8::/32 | 2002:cdd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:cdd9::/32 | 2002:cdd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:cdda::/32 | 2002:cdda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:cddb::/32 | 2002:cddb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:cddc::/32 | 2002:cddc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:cddd::/32 | 2002:cddd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:cdde::/32 | 2002:cdde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:cddf::/32 | 2002:cddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:cde0::/32 | 2002:cde0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:cde1::/32 | 2002:cde1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:cde2::/32 | 2002:cde2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:cde3::/32 | 2002:cde3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:cde4::/32 | 2002:cde4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:cde5::/32 | 2002:cde5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:cde6::/32 | 2002:cde6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:cde7::/32 | 2002:cde7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:cde8::/32 | 2002:cde8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:cde9::/32 | 2002:cde9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:cdea::/32 | 2002:cdea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:cdeb::/32 | 2002:cdeb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:cdec::/32 | 2002:cdec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:cded::/32 | 2002:cded:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:cdee::/32 | 2002:cdee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:cdef::/32 | 2002:cdef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:cdf0::/32 | 2002:cdf0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:cdf1::/32 | 2002:cdf1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:cdf2::/32 | 2002:cdf2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:cdf3::/32 | 2002:cdf3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:cdf4::/32 | 2002:cdf4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:cdf5::/32 | 2002:cdf5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:cdf6::/32 | 2002:cdf6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:cdf7::/32 | 2002:cdf7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:cdf8::/32 | 2002:cdf8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:cdf9::/32 | 2002:cdf9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:cdfa::/32 | 2002:cdfa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:cdfb::/32 | 2002:cdfb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:cdfc::/32 | 2002:cdfc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:cdfd::/32 | 2002:cdfd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:cdfe::/32 | 2002:cdfe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:cdff::/32 | 2002:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |